/**
  ******************************************************************************
  * File Name          : i2c.h
  * Description        : I2C common defines
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __I2C_H
#define __I2C_H

#include "stm32f7xx_hal.h"

HAL_StatusTypeDef I2C_WriteRegister(I2C_HandleTypeDef *i2c, int devaddr, uint8_t regaddr, uint8_t value);
HAL_StatusTypeDef I2C_ReadRegister(I2C_HandleTypeDef *i2c, int devaddr, uint8_t regaddr, uint8_t *value);

#endif /* __I2C_H */
