#ifndef __QUEUE_CMD_H
#define __QUEUE_CMD_H

#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"

typedef enum
{
	INIT			= 0,
	RECORD			= 1,
	FS				= 2,
	MONO			= 3,
	CLIP_CH1		= 4,
	CLIP_CH2		= 5
} QUEUE_CmdTypeDef;

typedef struct {
	QUEUE_CmdTypeDef cmd;
	uint8_t data[4];
} QUEUE_MsgTypeDef;

extern QueueHandle_t audio_in_queue;

int8_t sendQueueCmd(QueueHandle_t queue, QUEUE_CmdTypeDef cmd, uint8_t *data);

#endif
